> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get detailed information about a specific chart



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/stacks/charts/details
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/stacks/charts/details:
    post:
      tags:
        - Charts
      summary: Get detailed information about a specific chart
      operationId: get_chart_details_endpoint_api_v1_org_stacks_charts_details_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChartDetailsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetChartDetailsResult'
          description: Chart details retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Chart not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetChartDetailsRequest:
      properties:
        chart_name:
          title: Chart Name
          type: string
        repository_url:
          title: Repository Url
          type: string
      required:
        - chart_name
        - repository_url
      title: GetChartDetailsRequest
      type: object
    GetChartDetailsResult:
      properties:
        icon:
          title: Icon
          type: string
        name:
          title: Name
          type: string
        profiles:
          default: []
          items:
            $ref: '#/components/schemas/ChartProfiles'
          title: Profiles
          type: array
        repository_name:
          title: Repository Name
          type: string
        repository_url:
          title: Repository Url
          type: string
        versions:
          default: []
          items:
            type: string
          title: Versions
          type: array
      required:
        - name
        - icon
        - repository_name
        - repository_url
      title: GetChartDetailsResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ChartProfiles:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          title: Name
          type: string
        profile_id:
          format: uuid4
          title: Profile Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - profile_id
        - name
        - updated_at
      title: ChartProfiles
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````